## Parameter Name (parameter_name)

A parameter name (parameter_name) identifies a parameter (host variable) in an application containing SQL statements from the database system.

### Syntax

<parameter_name> ::=
:<identifier>
| ?

The identifier may not exceed 32 characters in length.

You can also use the place holder ? as a parameter name.

### Explanation

A colon is placed before the identifier.

The conventions of the programming language in which SQL statements in the database system are embedded determine the number of significant characters in the parameter name.

Identifiers for parameter names may contain the characters "." and "_", but not as the first character.

If you use the placeholder ? as a parameter name, make sure this placeholder is replaced by the parameter value before you execute the SQL statement.

See also:

Parameter Specification (parameter_spec)